#ifndef NET_H
#define NET_H

#include <string>
#include <vector>

size_t write_data(void *buffer, size_t size, size_t nmemb, void *userp);

class Net
{
public:
    Net();
    std::vector<std::string> get_all_modules(std::string url);
    std::string get_file(std::string url, std::string filename);
};

#endif // NET_H
